#include <bits/stdc++.h>
#define pb push_back
#define ll long long int
#define pi pair<int, int>
#define all(x) x.begin(), x.end()

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    ll n, k;
    cin>>n>>k;
    vector<ll> a(k);
    for(int i=0; i<k; i++)
    {
        cin>>a[i];
    }
    for(int i=0; i<k; i++)
    {
        ll br=a[i], rez=0;
        for(int j=0; j<k; j++)
        {
            if(a[j]<=br && br%a[j]==0)
            {
                rez=(rez^a[j]);
                //cout<<a[j]<<" ";
            }
        }
        cout<<rez<<" ";
    }
}